com.salesforce.datacloud.jdbc.config

## Class ResourceReader

- java.lang.Object
- - com.salesforce.datacloud.jdbc.config.ResourceReader

    public final class ResourceReader
    extends Object

### Nested Class Summary

Nested Classes
`static interface` `ResourceReader.IOExceptionThrowingConsumer<T>`

### Method Summary

All Methods Static Methods Concrete Methods
`static Properties` `readResourceAsProperties(@NonNull String path)`
`static String` `readResourceAsString(@NonNull String path)`
`static List<String>` `readResourceAsStringList(String path)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### readResourceAsString

    public static String readResourceAsString(@NonNull
                                              @NonNull String path)

#### readResourceAsProperties

    public static Properties readResourceAsProperties(@NonNull
                                                      @NonNull String path)

#### readResourceAsStringList

    public static List<String> readResourceAsStringList(String path)